# Spring Cloud Function Reference Documentation

Mark Fisher, Dave Syer, Oleg Zhurakousky, Anshul Mehra  

**3.2.2**

The reference documentation consists of the following sections:

|                                              [Reference Guide](spring-cloud-function.html)                                               |Spring Cloud Function Reference|
|------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------|
|[Cloud Events](https://github.com/spring-cloud/spring-cloud-function/tree/master/spring-cloud-function-samples/function-sample-cloudevent)|         Cloud Events          |
|                [RSocket](https://github.com/spring-cloud/spring-cloud-function/tree/master/spring-cloud-function-rsocket)                |            RSocket            |
|                                                         [AWS Adapter](aws.html)                                                          |     AWS Adapter Reference     |
|                                                       [Azure Adapter](azure.html)                                                        |    Azure Adapter Reference    |
|                                                         [GCP Adapter](gcp.html)                                                          |     GCP Adapter Reference     |

Relevant Links:

|[Reactor](https://projectreactor.io/)|Project Reactor|
|-------------------------------------|---------------|

